import {NgModule} from '@angular/core';
import {TranslateModule} from '@ngx-translate/core';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {FormsModule} from '@angular/forms';
import {CommonModule} from '@angular/common';
import {NZ_MESSAGE_CONFIG} from 'ng-zorro-antd';
import {NgxEchartsModule} from 'ngx-echarts';
import {LayoutComponent} from './layout.component';
import {LeftmenuComponent} from './leftmenu/leftmenu.component';
import {FooterComponent} from './footer/footer.component';
import {BreadcrumbComponent} from './breadcrumb/breadcrumb.component';
import {HomeComponent} from '../main/home/home.component';
import {LayoutRoutingModule} from '../router.module';
import {PersonComponent} from '../main/person/person.component';
import {RoleComponent} from '../main/role/role.component';
import {UserComponent} from '../main/user/user.component';
import {OperateComponent} from '../main/operate/operate.component';
import {LogComponent} from '../main/log/log.component';
// 通用组件
import {SearchDateComponent} from '../component/search-date/search-date.component';
import {SearchItemComponent} from '../component/search-item/search-item.component';
import {SearchSelectComponent} from '../component/search-select/search-select.component';
import {TransferComponent} from '../component/transfer/transfer.component';

@NgModule({
  imports: [
    TranslateModule,
    NgxEchartsModule,
    CommonModule,
    NgZorroAntdModule,
    FormsModule,
    LayoutRoutingModule
  ],
  providers: [
    {
      provide: NZ_MESSAGE_CONFIG,
      useValue: {
        nzDuration: 3000,
        nzMaxStack: 7,
        nzPauseOnHover: true,
        nzAnimate: true
      }
    }
  ],
  declarations: [
    LayoutComponent,
    LeftmenuComponent,
    FooterComponent,
    BreadcrumbComponent,
    HomeComponent,
    PersonComponent,
    UserComponent,
    RoleComponent,
    LogComponent,
    OperateComponent,
    SearchDateComponent,
    SearchItemComponent,
    SearchSelectComponent,
    TransferComponent
  ]
})
export class LayoutModule {
}
