import { RouterModule, Routes } from '@angular/router';
import { LayoutComponent } from './layout/layout.component';
import { AuthService } from './service/auth';
import { HomeComponent } from './main/home/home.component';
import {LogComponent} from './main/log/log.component';
import {OperateComponent} from './main/operate/operate.component';
import {PersonComponent} from './main/person/person.component';
import {RoleComponent} from './main/role/role.component';
import {UserComponent} from './main/user/user.component';

const AppRoutes: Routes = [
  {path: '', redirectTo: '/extra/login', pathMatch: 'full'},
  {path: 'app', component: LayoutComponent},
  {path: 'extra', loadChildren: './extra/extra.module#ExtraModule'},
  {path: '**', redirectTo: '/extra/login', pathMatch: 'full'},
];
export const RoutingModule = RouterModule.forRoot(AppRoutes, {useHash: true});

const routes: Routes = [
  {
    path: 'app',
    component: LayoutComponent,
    canActivateChild: [AuthService],
    children: [
      {path: '', redirectTo: '/extra/login', pathMatch: 'full'},
      {path: 'home', component: HomeComponent},
      {path: 'system/user', component: UserComponent},
      {path: 'system/role', component: RoleComponent},
      {path: 'system/person', component: PersonComponent},
      {path: 'system/operate', component: OperateComponent},
      {path: 'system/log', component: LogComponent},
    ]
  }
];

export const LayoutRoutingModule = RouterModule.forChild(routes);

